## org.apache.poi.util
Class IOUtils

    java.lang.Object
      org.apache.poi.util.IOUtils

public class IOUtils
extends java.lang.Object

Method Summary
`static int` `readFully(java.io.InputStream in, byte[] b)` Helper method, just calls `readFully(in, b, 0, b.length)`
`static int` `readFully(java.io.InputStream in, byte[] b, int off, int len)` Same as the normal `in.read(b, off, len)`, but tries to ensure that the entire len number of bytes is read.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### readFully

    public static int readFully(java.io.InputStream in,
                                byte[] b)
                         throws java.io.IOException

  Helper method, just calls `readFully(in, b, 0, b.length)`

  Throws:
    `java.io.IOException`

### readFully

    public static int readFully(java.io.InputStream in,
                                byte[] b,
                                int off,
                                int len)
                         throws java.io.IOException

  Same as the normal `in.read(b, off, len)`, but tries to ensure that the entire len number of bytes is read.

  If the end of file is reached before any bytes are read, returns -1. Otherwise, returns the number of bytes read.

  Throws:
    `java.io.IOException`

Copyright © 2003 Apache Software Foundation.